import { LitElement } from 'lit';
/**
 *  @element uui-toast-notification-layout
 *  @description - Component for setting the layout for a toast notification, to be used within toast-notification.
 *  @slot - for content
 *  @slot headline - for headline
 *  @slot actions - for actions
 */
export declare class UUIToastNotificationLayoutElement extends LitElement {
    static styles: import("lit").CSSResult[];
    /**
     * Headline for this notification, can also be set via the 'headline' slot.
     * @attr
     * @default
     */
    headline: string;
    private _headlineSlotHasContent;
    private _headlineSlotChanged;
    render(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-toast-notification-layout': UUIToastNotificationLayoutElement;
    }
}
